# Module utilities/geometry

#####
Index

### References

GeoJSON
GeoJSONLineString
GeoJSONMultiLineString
GeoJSONMultiPoint
GeoJSONMultiPolygon
GeoJSONPoint
GeoJSONPolygon
GmlOptions
isExtent
isGeometry
isMesh
isMultipoint
isPoint
isPolygon
isPolyline
Transformation

### Classes

CoordinateSystemBounds

### Interfaces

GeographicTransformationJson
GeographicTransformationStepJson

### Variables

GEOGRAPHIC_BOUNDS
WEB_MERCATOR_BOUNDS

### Functions

buffer
createCrossTypeUnion
denormalizeExtent
esriToGeoJSON
esriToGml
esriToWKT
esriWkidToWkt
esriWktToWkid
geoJSONToEsri
getBounds
getScreenExtent
gmlToEsri
project
removeZValues
wktToEsri

##
References

### GeoJSON

Re-exports GeoJSON

### GeoJSONLineString

Re-exports GeoJSONLineString

### GeoJSONMultiLineString

Re-exports GeoJSONMultiLineString

### GeoJSONMultiPoint

Re-exports GeoJSONMultiPoint

### GeoJSONMultiPolygon

Re-exports GeoJSONMultiPolygon

### GeoJSONPoint

Re-exports GeoJSONPoint

### GeoJSONPolygon

Re-exports GeoJSONPolygon

### GmlOptions

Re-exports GmlOptions

### isExtent

Re-exports isExtent

### isGeometry

Re-exports isGeometry

### isMesh

Re-exports isMesh

### isMultipoint

Re-exports isMultipoint

### isPoint

Re-exports isPoint

### isPolygon

Re-exports isPolygon

### isPolyline

Re-exports isPolyline

### Transformation

Re-exports Transformation